Releasing debian version 0.2.5-1.
[debian/lxlauncher.git] / Makefile.in
CommitLineData
4390d73f 1# Makefile.in generated by automake 1.14.1 from Makefile.am.
1090c2af
DB
2# @configure_input@
3
4390d73f
AG
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
1090c2af
DB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
4390d73f
AG
18am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19am__make_running_with_option = \
20 case $${target_option-} in \
21 ?) ;; \
22 *) echo "am__make_running_with_option: internal error: invalid" \
23 "target option '$${target_option-}' specified" >&2; \
24 exit 1;; \
25 esac; \
26 has_opt=no; \
27 sane_makeflags=$$MAKEFLAGS; \
28 if $(am__is_gnu_make); then \
29 sane_makeflags=$$MFLAGS; \
30 else \
31 case $$MAKEFLAGS in \
32 *\\[\ \ ]*) \
33 bs=\\; \
34 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
36 esac; \
37 fi; \
38 skip_next=no; \
39 strip_trailopt () \
40 { \
41 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42 }; \
43 for flg in $$sane_makeflags; do \
44 test $$skip_next = yes && { skip_next=no; continue; }; \
45 case $$flg in \
46 *=*|--*) continue;; \
47 -*I) strip_trailopt 'I'; skip_next=yes;; \
48 -*I?*) strip_trailopt 'I';; \
49 -*O) strip_trailopt 'O'; skip_next=yes;; \
50 -*O?*) strip_trailopt 'O';; \
51 -*l) strip_trailopt 'l'; skip_next=yes;; \
52 -*l?*) strip_trailopt 'l';; \
53 -[dEDm]) skip_next=yes;; \
54 -[JT]) skip_next=yes;; \
55 esac; \
56 case $$flg in \
57 *$$target_option*) has_opt=yes; break;; \
58 esac; \
59 done; \
60 test $$has_opt = yes
61am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
1090c2af 63pkgdatadir = $(datadir)/@PACKAGE@
1090c2af 64pkgincludedir = $(includedir)/@PACKAGE@
2e45236b
DB
65pkglibdir = $(libdir)/@PACKAGE@
66pkglibexecdir = $(libexecdir)/@PACKAGE@
1090c2af
DB
67am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68install_sh_DATA = $(install_sh) -c -m 644
69install_sh_PROGRAM = $(install_sh) -c
70install_sh_SCRIPT = $(install_sh) -c
71INSTALL_HEADER = $(INSTALL_DATA)
72transform = $(program_transform_name)
73NORMAL_INSTALL = :
74PRE_INSTALL = :
75POST_INSTALL = :
76NORMAL_UNINSTALL = :
77PRE_UNINSTALL = :
78POST_UNINSTALL = :
79subdir = .
4390d73f
AG
80DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
81 $(top_srcdir)/configure $(am__configure_deps) \
82 $(srcdir)/config.h.in $(srcdir)/settings.conf.in \
83 $(top_srcdir)/data/lxlauncher.1.in AUTHORS COPYING ChangeLog \
3bdbbdac 84 INSTALL NEWS README TODO compile depcomp install-sh missing
1090c2af 85ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
4390d73f 86am__aclocal_m4_deps = $(top_srcdir)/configure.ac
1090c2af
DB
87am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
88 $(ACLOCAL_M4)
89am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
90 configure.lineno config.status.lineno
2e45236b 91mkinstalldirs = $(install_sh) -d
1090c2af 92CONFIG_HEADER = config.h
4390d73f 93CONFIG_CLEAN_FILES = settings.conf data/lxlauncher.1
2e45236b 94CONFIG_CLEAN_VPATH_FILES =
4390d73f
AG
95AM_V_P = $(am__v_P_@AM_V@)
96am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
97am__v_P_0 = false
98am__v_P_1 = :
99AM_V_GEN = $(am__v_GEN_@AM_V@)
100am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
101am__v_GEN_0 = @echo " GEN " $@;
102am__v_GEN_1 =
103AM_V_at = $(am__v_at_@AM_V@)
104am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
5f74012c 105am__v_at_0 = @
4390d73f 106am__v_at_1 =
1090c2af
DB
107SOURCES =
108DIST_SOURCES =
4390d73f
AG
109RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
110 ctags-recursive dvi-recursive html-recursive info-recursive \
111 install-data-recursive install-dvi-recursive \
112 install-exec-recursive install-html-recursive \
113 install-info-recursive install-pdf-recursive \
114 install-ps-recursive install-recursive installcheck-recursive \
115 installdirs-recursive pdf-recursive ps-recursive \
116 tags-recursive uninstall-recursive
117am__can_run_installinfo = \
118 case $$AM_UPDATE_INFO_DIR in \
119 n|no|NO) false;; \
120 *) (install-info --version) >/dev/null 2>&1;; \
121 esac
1090c2af
DB
122am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
123am__vpath_adj = case $$p in \
124 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
125 *) f=$$p;; \
126 esac;
2e45236b
DB
127am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
128am__install_max = 40
129am__nobase_strip_setup = \
130 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
131am__nobase_strip = \
132 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
133am__nobase_list = $(am__nobase_strip_setup); \
134 for p in $$list; do echo "$$p $$p"; done | \
135 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
136 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
137 if (++n[$$2] == $(am__install_max)) \
138 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
139 END { for (dir in files) print dir, files[dir] }'
140am__base_list = \
141 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
142 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
4390d73f
AG
143am__uninstall_files_from_dir = { \
144 test -z "$$files" \
145 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
146 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
147 $(am__cd) "$$dir" && rm -f $$files; }; \
148 }
149man1dir = $(mandir)/man1
150am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(confdir)" \
151 "$(DESTDIR)$(directorydir)" "$(DESTDIR)$(menufiledir)" \
152 "$(DESTDIR)$(themedir)"
153NROFF = nroff
154MANS = $(man_MANS)
2e45236b 155DATA = $(conf_DATA) $(directory_DATA) $(menufile_DATA) $(theme_DATA)
1090c2af
DB
156RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
157 distclean-recursive maintainer-clean-recursive
4390d73f
AG
158am__recursive_targets = \
159 $(RECURSIVE_TARGETS) \
160 $(RECURSIVE_CLEAN_TARGETS) \
161 $(am__extra_recursive_targets)
162AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
163 cscope distdir dist dist-all distcheck
164am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
165 $(LISP)config.h.in
166# Read a list of newline-separated strings from the standard input,
167# and print each of them once, without duplicates. Input order is
168# *not* preserved.
169am__uniquify_input = $(AWK) '\
170 BEGIN { nonempty = 0; } \
171 { items[$$0] = 1; nonempty = 1; } \
172 END { if (nonempty) { for (i in items) print i; }; } \
173'
174# Make sure the list of sources is unique. This is necessary because,
175# e.g., the same source file might be shared among _SOURCES variables
176# for different programs/libraries.
177am__define_uniq_tagged_files = \
178 list='$(am__tagged_files)'; \
179 unique=`for i in $$list; do \
180 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
181 done | $(am__uniquify_input)`
1090c2af
DB
182ETAGS = etags
183CTAGS = ctags
4390d73f 184CSCOPE = cscope
1090c2af
DB
185DIST_SUBDIRS = $(SUBDIRS)
186DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
187distdir = $(PACKAGE)-$(VERSION)
188top_distdir = $(distdir)
189am__remove_distdir = \
4390d73f
AG
190 if test -d "$(distdir)"; then \
191 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
192 && rm -rf "$(distdir)" \
193 || { sleep 5 && rm -rf "$(distdir)"; }; \
194 else :; fi
195am__post_remove_distdir = $(am__remove_distdir)
2e45236b
DB
196am__relativize = \
197 dir0=`pwd`; \
198 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
199 sed_rest='s,^[^/]*/*,,'; \
200 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
201 sed_butlast='s,/*[^/]*$$,,'; \
202 while test -n "$$dir1"; do \
203 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
204 if test "$$first" != "."; then \
205 if test "$$first" = ".."; then \
206 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
207 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
208 else \
209 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
210 if test "$$first2" = "$$first"; then \
211 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
212 else \
213 dir2="../$$dir2"; \
214 fi; \
215 dir0="$$dir0"/"$$first"; \
216 fi; \
217 fi; \
218 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
219 done; \
220 reldir="$$dir2"
1090c2af 221GZIP_ENV = --best
4390d73f
AG
222DIST_ARCHIVES = $(distdir).tar.xz
223DIST_TARGETS = dist-xz
1090c2af 224distuninstallcheck_listfiles = find . -type f -print
4390d73f
AG
225am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
226 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
1090c2af
DB
227distcleancheck_listfiles = find . -type f -print
228ACLOCAL = @ACLOCAL@
5f74012c
DB
229ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
230ALL_LINGUAS = @ALL_LINGUAS@
1090c2af 231AMTAR = @AMTAR@
5f74012c 232AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
1090c2af
DB
233AUTOCONF = @AUTOCONF@
234AUTOHEADER = @AUTOHEADER@
235AUTOMAKE = @AUTOMAKE@
236AWK = @AWK@
237CATALOGS = @CATALOGS@
238CATOBJEXT = @CATOBJEXT@
239CC = @CC@
240CCDEPMODE = @CCDEPMODE@
241CFLAGS = @CFLAGS@
242CPP = @CPP@
243CPPFLAGS = @CPPFLAGS@
244CYGPATH_W = @CYGPATH_W@
245DATADIRNAME = @DATADIRNAME@
246DEFS = @DEFS@
247DEPDIR = @DEPDIR@
248ECHO_C = @ECHO_C@
249ECHO_N = @ECHO_N@
250ECHO_T = @ECHO_T@
251EGREP = @EGREP@
252EXEEXT = @EXEEXT@
253GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
40418610
DB
254GMENU_CFLAGS = @GMENU_CFLAGS@
255GMENU_LIBS = @GMENU_LIBS@
1090c2af
DB
256GMOFILES = @GMOFILES@
257GMSGFMT = @GMSGFMT@
258GREP = @GREP@
259GTK_CFLAGS = @GTK_CFLAGS@
260GTK_LIBS = @GTK_LIBS@
261INSTALL = @INSTALL@
262INSTALL_DATA = @INSTALL_DATA@
263INSTALL_PROGRAM = @INSTALL_PROGRAM@
264INSTALL_SCRIPT = @INSTALL_SCRIPT@
265INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
266INSTOBJEXT = @INSTOBJEXT@
267INTLLIBS = @INTLLIBS@
5f74012c
DB
268INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
269INTLTOOL_MERGE = @INTLTOOL_MERGE@
270INTLTOOL_PERL = @INTLTOOL_PERL@
271INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
4390d73f
AG
272INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
273INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
274INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
275INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
1090c2af
DB
276LDFLAGS = @LDFLAGS@
277LIBOBJS = @LIBOBJS@
278LIBS = @LIBS@
279LTLIBOBJS = @LTLIBOBJS@
280MAINT = @MAINT@
281MAKEINFO = @MAKEINFO@
282MKDIR_P = @MKDIR_P@
283MKINSTALLDIRS = @MKINSTALLDIRS@
284MSGFMT = @MSGFMT@
285MSGFMT_OPTS = @MSGFMT_OPTS@
5f74012c 286MSGMERGE = @MSGMERGE@
1090c2af
DB
287OBJEXT = @OBJEXT@
288PACKAGE = @PACKAGE@
289PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
290PACKAGE_NAME = @PACKAGE_NAME@
291PACKAGE_STRING = @PACKAGE_STRING@
292PACKAGE_TARNAME = @PACKAGE_TARNAME@
5f74012c 293PACKAGE_URL = @PACKAGE_URL@
1090c2af
DB
294PACKAGE_VERSION = @PACKAGE_VERSION@
295PATH_SEPARATOR = @PATH_SEPARATOR@
296PKG_CONFIG = @PKG_CONFIG@
5f74012c
DB
297PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
298PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
1090c2af
DB
299POFILES = @POFILES@
300POSUB = @POSUB@
301PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
302PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
303SET_MAKE = @SET_MAKE@
304SHELL = @SHELL@
305SN_CFLAGS = @SN_CFLAGS@
306SN_LIBS = @SN_LIBS@
307STRIP = @STRIP@
308USE_NLS = @USE_NLS@
309VERSION = @VERSION@
5f74012c
DB
310X11_CFLAGS = @X11_CFLAGS@
311X11_LIBS = @X11_LIBS@
1090c2af
DB
312XGETTEXT = @XGETTEXT@
313abs_builddir = @abs_builddir@
314abs_srcdir = @abs_srcdir@
315abs_top_builddir = @abs_top_builddir@
316abs_top_srcdir = @abs_top_srcdir@
317ac_ct_CC = @ac_ct_CC@
318am__include = @am__include@
319am__leading_dot = @am__leading_dot@
320am__quote = @am__quote@
321am__tar = @am__tar@
322am__untar = @am__untar@
323bindir = @bindir@
324build_alias = @build_alias@
325builddir = @builddir@
326datadir = @datadir@
327datarootdir = @datarootdir@
328docdir = @docdir@
329dvidir = @dvidir@
330exec_prefix = @exec_prefix@
331host_alias = @host_alias@
332htmldir = @htmldir@
333includedir = @includedir@
334infodir = @infodir@
335install_sh = @install_sh@
4390d73f
AG
336intltool__v_merge_options_ = @intltool__v_merge_options_@
337intltool__v_merge_options_0 = @intltool__v_merge_options_0@
1090c2af
DB
338libdir = @libdir@
339libexecdir = @libexecdir@
340localedir = @localedir@
341localstatedir = @localstatedir@
342mandir = @mandir@
343mkdir_p = @mkdir_p@
344oldincludedir = @oldincludedir@
345pdfdir = @pdfdir@
346prefix = @prefix@
347program_transform_name = @program_transform_name@
348psdir = @psdir@
349sbindir = @sbindir@
350sharedstatedir = @sharedstatedir@
351srcdir = @srcdir@
352sysconfdir = @sysconfdir@
353target_alias = @target_alias@
2e45236b 354top_build_prefix = @top_build_prefix@
1090c2af
DB
355top_builddir = @top_builddir@
356top_srcdir = @top_srcdir@
357SUBDIRS = src po
2e45236b
DB
358confdir = $(sysconfdir)/xdg/lxlauncher
359conf_in_files = settings.conf.in
360conf_DATA = $(conf_in_files:.conf.in=.conf)
361themedir = $(confdir)
3bdbbdac
AG
362theme_DATA = \
363 gtkrc \
364 gtk.css
365
4390d73f 366menufiledir = $(sysconfdir)/xdg/menus
2e45236b
DB
367menufile_DATA = \
368 data/lxlauncher-applications.menu
40418610 369
4390d73f 370man_MANS = data/lxlauncher.1
40418610 371directorydir = $(datadir)/desktop-directories
4390d73f
AG
372directory_in_files = \
373 data/lxde-webmail.directory.in \
374 data/lxde-work.directory.in \
375 data/lxde-learn.directory.in \
376 data/lxde-play.directory.in \
377 data/lxde-science.directory.in \
378 data/lxde-math.directory.in
40418610 379
4390d73f
AG
380directory_files = $(directory_in_files:.directory.in=.directory)
381directory_DATA = $(directory_files)
1090c2af
DB
382
383#backgrounddir=$(datadir)/lxlauncher/background
384#background_DATA=
385EXTRA_DIST = \
2e45236b
DB
386 $(menufile_DATA) \
387 $(conf_in_files) \
1090c2af 388 $(theme_DATA) \
40418610 389 $(datafile_DATA) \
4390d73f 390 $(directory_in_files) \
40418610 391 $(directory_DATA) \
1090c2af
DB
392 autogen.sh
393
394all: config.h
395 $(MAKE) $(AM_MAKEFLAGS) all-recursive
396
397.SUFFIXES:
4390d73f 398am--refresh: Makefile
1090c2af
DB
399 @:
400$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
401 @for dep in $?; do \
402 case '$(am__configure_deps)' in \
403 *$$dep*) \
4390d73f
AG
404 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
405 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
1090c2af
DB
406 && exit 0; \
407 exit 1;; \
408 esac; \
409 done; \
4390d73f 410 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
2e45236b 411 $(am__cd) $(top_srcdir) && \
4390d73f 412 $(AUTOMAKE) --foreign Makefile
1090c2af
DB
413.PRECIOUS: Makefile
414Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
415 @case '$?' in \
416 *config.status*) \
417 echo ' $(SHELL) ./config.status'; \
418 $(SHELL) ./config.status;; \
419 *) \
420 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
421 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
422 esac;
423
424$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
425 $(SHELL) ./config.status --recheck
426
427$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
2e45236b 428 $(am__cd) $(srcdir) && $(AUTOCONF)
1090c2af 429$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
2e45236b
DB
430 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
431$(am__aclocal_m4_deps):
1090c2af
DB
432
433config.h: stamp-h1
4390d73f
AG
434 @test -f $@ || rm -f stamp-h1
435 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
1090c2af
DB
436
437stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
438 @rm -f stamp-h1
439 cd $(top_builddir) && $(SHELL) ./config.status config.h
440$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
2e45236b 441 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
1090c2af
DB
442 rm -f stamp-h1
443 touch $@
444
445distclean-hdr:
446 -rm -f config.h stamp-h1
2e45236b
DB
447settings.conf: $(top_builddir)/config.status $(srcdir)/settings.conf.in
448 cd $(top_builddir) && $(SHELL) ./config.status $@
4390d73f
AG
449data/lxlauncher.1: $(top_builddir)/config.status $(top_srcdir)/data/lxlauncher.1.in
450 cd $(top_builddir) && $(SHELL) ./config.status $@
451install-man1: $(man_MANS)
452 @$(NORMAL_INSTALL)
453 @list1=''; \
454 list2='$(man_MANS)'; \
455 test -n "$(man1dir)" \
456 && test -n "`echo $$list1$$list2`" \
457 || exit 0; \
458 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
459 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
460 { for i in $$list1; do echo "$$i"; done; \
461 if test -n "$$list2"; then \
462 for i in $$list2; do echo "$$i"; done \
463 | sed -n '/\.1[a-z]*$$/p'; \
464 fi; \
465 } | while read p; do \
466 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
467 echo "$$d$$p"; echo "$$p"; \
468 done | \
469 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
470 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
471 sed 'N;N;s,\n, ,g' | { \
472 list=; while read file base inst; do \
473 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
474 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
475 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
476 fi; \
477 done; \
478 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
479 while read files; do \
480 test -z "$$files" || { \
481 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
482 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
483 done; }
484
485uninstall-man1:
486 @$(NORMAL_UNINSTALL)
487 @list=''; test -n "$(man1dir)" || exit 0; \
488 files=`{ for i in $$list; do echo "$$i"; done; \
489 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
490 sed -n '/\.1[a-z]*$$/p'; \
491 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
492 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
493 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
2e45236b 494install-confDATA: $(conf_DATA)
40418610 495 @$(NORMAL_INSTALL)
2e45236b 496 @list='$(conf_DATA)'; test -n "$(confdir)" || list=; \
4390d73f
AG
497 if test -n "$$list"; then \
498 echo " $(MKDIR_P) '$(DESTDIR)$(confdir)'"; \
499 $(MKDIR_P) "$(DESTDIR)$(confdir)" || exit 1; \
500 fi; \
2e45236b 501 for p in $$list; do \
40418610 502 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
2e45236b
DB
503 echo "$$d$$p"; \
504 done | $(am__base_list) | \
505 while read files; do \
506 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(confdir)'"; \
507 $(INSTALL_DATA) $$files "$(DESTDIR)$(confdir)" || exit $$?; \
40418610
DB
508 done
509
2e45236b 510uninstall-confDATA:
40418610 511 @$(NORMAL_UNINSTALL)
2e45236b
DB
512 @list='$(conf_DATA)'; test -n "$(confdir)" || list=; \
513 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
4390d73f 514 dir='$(DESTDIR)$(confdir)'; $(am__uninstall_files_from_dir)
40418610
DB
515install-directoryDATA: $(directory_DATA)
516 @$(NORMAL_INSTALL)
2e45236b 517 @list='$(directory_DATA)'; test -n "$(directorydir)" || list=; \
4390d73f
AG
518 if test -n "$$list"; then \
519 echo " $(MKDIR_P) '$(DESTDIR)$(directorydir)'"; \
520 $(MKDIR_P) "$(DESTDIR)$(directorydir)" || exit 1; \
521 fi; \
2e45236b 522 for p in $$list; do \
40418610 523 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
2e45236b
DB
524 echo "$$d$$p"; \
525 done | $(am__base_list) | \
526 while read files; do \
527 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(directorydir)'"; \
528 $(INSTALL_DATA) $$files "$(DESTDIR)$(directorydir)" || exit $$?; \
40418610
DB
529 done
530
531uninstall-directoryDATA:
532 @$(NORMAL_UNINSTALL)
2e45236b
DB
533 @list='$(directory_DATA)'; test -n "$(directorydir)" || list=; \
534 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
4390d73f 535 dir='$(DESTDIR)$(directorydir)'; $(am__uninstall_files_from_dir)
2e45236b
DB
536install-menufileDATA: $(menufile_DATA)
537 @$(NORMAL_INSTALL)
2e45236b 538 @list='$(menufile_DATA)'; test -n "$(menufiledir)" || list=; \
4390d73f
AG
539 if test -n "$$list"; then \
540 echo " $(MKDIR_P) '$(DESTDIR)$(menufiledir)'"; \
541 $(MKDIR_P) "$(DESTDIR)$(menufiledir)" || exit 1; \
542 fi; \
2e45236b
DB
543 for p in $$list; do \
544 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
545 echo "$$d$$p"; \
546 done | $(am__base_list) | \
547 while read files; do \
548 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(menufiledir)'"; \
549 $(INSTALL_DATA) $$files "$(DESTDIR)$(menufiledir)" || exit $$?; \
40418610 550 done
2e45236b
DB
551
552uninstall-menufileDATA:
553 @$(NORMAL_UNINSTALL)
554 @list='$(menufile_DATA)'; test -n "$(menufiledir)" || list=; \
555 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
4390d73f 556 dir='$(DESTDIR)$(menufiledir)'; $(am__uninstall_files_from_dir)
1090c2af
DB
557install-themeDATA: $(theme_DATA)
558 @$(NORMAL_INSTALL)
2e45236b 559 @list='$(theme_DATA)'; test -n "$(themedir)" || list=; \
4390d73f
AG
560 if test -n "$$list"; then \
561 echo " $(MKDIR_P) '$(DESTDIR)$(themedir)'"; \
562 $(MKDIR_P) "$(DESTDIR)$(themedir)" || exit 1; \
563 fi; \
2e45236b 564 for p in $$list; do \
1090c2af 565 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
2e45236b
DB
566 echo "$$d$$p"; \
567 done | $(am__base_list) | \
568 while read files; do \
569 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(themedir)'"; \
570 $(INSTALL_DATA) $$files "$(DESTDIR)$(themedir)" || exit $$?; \
1090c2af
DB
571 done
572
573uninstall-themeDATA:
574 @$(NORMAL_UNINSTALL)
2e45236b
DB
575 @list='$(theme_DATA)'; test -n "$(themedir)" || list=; \
576 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
4390d73f 577 dir='$(DESTDIR)$(themedir)'; $(am__uninstall_files_from_dir)
1090c2af
DB
578
579# This directory's subdirectories are mostly independent; you can cd
4390d73f
AG
580# into them and run 'make' without going through this Makefile.
581# To change the values of 'make' variables: instead of editing Makefiles,
582# (1) if the variable is set in 'config.status', edit 'config.status'
583# (which will cause the Makefiles to be regenerated when you run 'make');
584# (2) otherwise, pass the desired values on the 'make' command line.
585$(am__recursive_targets):
586 @fail=; \
587 if $(am__make_keepgoing); then \
588 failcom='fail=yes'; \
589 else \
590 failcom='exit 1'; \
591 fi; \
1090c2af
DB
592 dot_seen=no; \
593 target=`echo $@ | sed s/-recursive//`; \
4390d73f
AG
594 case "$@" in \
595 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
596 *) list='$(SUBDIRS)' ;; \
597 esac; \
598 for subdir in $$list; do \
1090c2af
DB
599 echo "Making $$target in $$subdir"; \
600 if test "$$subdir" = "."; then \
601 dot_seen=yes; \
602 local_target="$$target-am"; \
603 else \
604 local_target="$$target"; \
605 fi; \
2e45236b 606 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1090c2af
DB
607 || eval $$failcom; \
608 done; \
609 if test "$$dot_seen" = "no"; then \
610 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
611 fi; test -z "$$fail"
612
4390d73f
AG
613ID: $(am__tagged_files)
614 $(am__define_uniq_tagged_files); mkid -fID $$unique
615tags: tags-recursive
616TAGS: tags
1090c2af 617
4390d73f 618tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
2e45236b 619 set x; \
1090c2af
DB
620 here=`pwd`; \
621 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
622 include_option=--etags-include; \
623 empty_fix=.; \
624 else \
625 include_option=--include; \
626 empty_fix=; \
627 fi; \
628 list='$(SUBDIRS)'; for subdir in $$list; do \
629 if test "$$subdir" = .; then :; else \
630 test ! -f $$subdir/TAGS || \
2e45236b 631 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1090c2af
DB
632 fi; \
633 done; \
4390d73f 634 $(am__define_uniq_tagged_files); \
2e45236b
DB
635 shift; \
636 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1090c2af 637 test -n "$$unique" || unique=$$empty_fix; \
2e45236b
DB
638 if test $$# -gt 0; then \
639 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
640 "$$@" $$unique; \
641 else \
642 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
643 $$unique; \
644 fi; \
1090c2af 645 fi
4390d73f
AG
646ctags: ctags-recursive
647
648CTAGS: ctags
649ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
650 $(am__define_uniq_tagged_files); \
2e45236b 651 test -z "$(CTAGS_ARGS)$$unique" \
1090c2af 652 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
2e45236b 653 $$unique
1090c2af
DB
654
655GTAGS:
656 here=`$(am__cd) $(top_builddir) && pwd` \
2e45236b
DB
657 && $(am__cd) $(top_srcdir) \
658 && gtags -i $(GTAGS_ARGS) "$$here"
4390d73f
AG
659cscope: cscope.files
660 test ! -s cscope.files \
661 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
662clean-cscope:
663 -rm -f cscope.files
664cscope.files: clean-cscope cscopelist
665cscopelist: cscopelist-recursive
666
667cscopelist-am: $(am__tagged_files)
668 list='$(am__tagged_files)'; \
669 case "$(srcdir)" in \
670 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
671 *) sdir=$(subdir)/$(srcdir) ;; \
672 esac; \
673 for i in $$list; do \
674 if test -f "$$i"; then \
675 echo "$(subdir)/$$i"; \
676 else \
677 echo "$$sdir/$$i"; \
678 fi; \
679 done >> $(top_builddir)/cscope.files
1090c2af
DB
680
681distclean-tags:
682 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
4390d73f 683 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1090c2af
DB
684
685distdir: $(DISTFILES)
686 $(am__remove_distdir)
2e45236b 687 test -d "$(distdir)" || mkdir "$(distdir)"
1090c2af
DB
688 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
689 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
690 list='$(DISTFILES)'; \
691 dist_files=`for file in $$list; do echo $$file; done | \
692 sed -e "s|^$$srcdirstrip/||;t" \
693 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
694 case $$dist_files in \
695 */*) $(MKDIR_P) `echo "$$dist_files" | \
696 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
697 sort -u` ;; \
698 esac; \
699 for file in $$dist_files; do \
700 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
701 if test -d $$d/$$file; then \
702 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
2e45236b
DB
703 if test -d "$(distdir)/$$file"; then \
704 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
705 fi; \
1090c2af 706 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
2e45236b
DB
707 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
708 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1090c2af 709 fi; \
2e45236b 710 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1090c2af 711 else \
2e45236b
DB
712 test -f "$(distdir)/$$file" \
713 || cp -p $$d/$$file "$(distdir)/$$file" \
1090c2af
DB
714 || exit 1; \
715 fi; \
716 done
2e45236b 717 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1090c2af 718 if test "$$subdir" = .; then :; else \
4390d73f
AG
719 $(am__make_dryrun) \
720 || test -d "$(distdir)/$$subdir" \
721 || $(MKDIR_P) "$(distdir)/$$subdir" \
722 || exit 1; \
2e45236b
DB
723 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
724 $(am__relativize); \
725 new_distdir=$$reldir; \
726 dir1=$$subdir; dir2="$(top_distdir)"; \
727 $(am__relativize); \
728 new_top_distdir=$$reldir; \
729 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
730 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
731 ($(am__cd) $$subdir && \
1090c2af 732 $(MAKE) $(AM_MAKEFLAGS) \
2e45236b
DB
733 top_distdir="$$new_top_distdir" \
734 distdir="$$new_distdir" \
1090c2af
DB
735 am__remove_distdir=: \
736 am__skip_length_check=: \
2e45236b 737 am__skip_mode_fix=: \
1090c2af
DB
738 distdir) \
739 || exit 1; \
740 fi; \
741 done
2e45236b 742 -test -n "$(am__skip_mode_fix)" \
5f74012c
DB
743 || find "$(distdir)" -type d ! -perm -755 \
744 -exec chmod u+rwx,go+rx {} \; -o \
1090c2af
DB
745 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
746 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
747 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
2e45236b 748 || chmod -R a+r "$(distdir)"
1090c2af
DB
749dist-gzip: distdir
750 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
4390d73f 751 $(am__post_remove_distdir)
1090c2af
DB
752
753dist-bzip2: distdir
4390d73f
AG
754 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
755 $(am__post_remove_distdir)
1090c2af 756
4390d73f
AG
757dist-lzip: distdir
758 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
759 $(am__post_remove_distdir)
2e45236b 760dist-xz: distdir
4390d73f
AG
761 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
762 $(am__post_remove_distdir)
2e45236b 763
1090c2af 764dist-tarZ: distdir
4390d73f
AG
765 @echo WARNING: "Support for shar distribution archives is" \
766 "deprecated." >&2
767 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
1090c2af 768 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
4390d73f 769 $(am__post_remove_distdir)
1090c2af
DB
770
771dist-shar: distdir
4390d73f
AG
772 @echo WARNING: "Support for distribution archives compressed with" \
773 "legacy program 'compress' is deprecated." >&2
774 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
1090c2af 775 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
4390d73f 776 $(am__post_remove_distdir)
1090c2af
DB
777
778dist-zip: distdir
779 -rm -f $(distdir).zip
780 zip -rq $(distdir).zip $(distdir)
4390d73f 781 $(am__post_remove_distdir)
1090c2af 782
4390d73f
AG
783dist dist-all:
784 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
785 $(am__post_remove_distdir)
1090c2af
DB
786
787# This target untars the dist file and tries a VPATH configuration. Then
788# it guarantees that the distribution is self-contained by making another
789# tarfile.
790distcheck: dist
791 case '$(DIST_ARCHIVES)' in \
792 *.tar.gz*) \
5f74012c 793 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
1090c2af 794 *.tar.bz2*) \
5f74012c 795 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
4390d73f
AG
796 *.tar.lz*) \
797 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
2e45236b
DB
798 *.tar.xz*) \
799 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
1090c2af
DB
800 *.tar.Z*) \
801 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
802 *.shar.gz*) \
5f74012c 803 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
1090c2af
DB
804 *.zip*) \
805 unzip $(distdir).zip ;;\
806 esac
4390d73f
AG
807 chmod -R a-w $(distdir)
808 chmod u+w $(distdir)
809 mkdir $(distdir)/_build $(distdir)/_inst
1090c2af 810 chmod a-w $(distdir)
2e45236b 811 test -d $(distdir)/_build || exit 0; \
1090c2af
DB
812 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
813 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
2e45236b
DB
814 && am__cwd=`pwd` \
815 && $(am__cd) $(distdir)/_build \
4390d73f
AG
816 && ../configure \
817 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
1090c2af 818 $(DISTCHECK_CONFIGURE_FLAGS) \
4390d73f 819 --srcdir=.. --prefix="$$dc_install_base" \
1090c2af
DB
820 && $(MAKE) $(AM_MAKEFLAGS) \
821 && $(MAKE) $(AM_MAKEFLAGS) dvi \
822 && $(MAKE) $(AM_MAKEFLAGS) check \
823 && $(MAKE) $(AM_MAKEFLAGS) install \
824 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
825 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
826 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
827 distuninstallcheck \
828 && chmod -R a-w "$$dc_install_base" \
829 && ({ \
830 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
831 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
832 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
833 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
834 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
835 } || { rm -rf "$$dc_destdir"; exit 1; }) \
836 && rm -rf "$$dc_destdir" \
837 && $(MAKE) $(AM_MAKEFLAGS) dist \
838 && rm -rf $(DIST_ARCHIVES) \
2e45236b
DB
839 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
840 && cd "$$am__cwd" \
841 || exit 1
4390d73f 842 $(am__post_remove_distdir)
1090c2af
DB
843 @(echo "$(distdir) archives ready for distribution: "; \
844 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
845 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
846distuninstallcheck:
4390d73f
AG
847 @test -n '$(distuninstallcheck_dir)' || { \
848 echo 'ERROR: trying to run $@ with an empty' \
849 '$$(distuninstallcheck_dir)' >&2; \
850 exit 1; \
851 }; \
852 $(am__cd) '$(distuninstallcheck_dir)' || { \
853 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
854 exit 1; \
855 }; \
856 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
1090c2af
DB
857 || { echo "ERROR: files left after uninstall:" ; \
858 if test -n "$(DESTDIR)"; then \
859 echo " (check DESTDIR support)"; \
860 fi ; \
861 $(distuninstallcheck_listfiles) ; \
862 exit 1; } >&2
863distcleancheck: distclean
864 @if test '$(srcdir)' = . ; then \
865 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
866 exit 1 ; \
867 fi
868 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
869 || { echo "ERROR: files left in build directory after distclean:" ; \
870 $(distcleancheck_listfiles) ; \
871 exit 1; } >&2
872check-am: all-am
873check: check-recursive
4390d73f 874all-am: Makefile $(MANS) $(DATA) config.h
1090c2af
DB
875installdirs: installdirs-recursive
876installdirs-am:
4390d73f 877 for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(confdir)" "$(DESTDIR)$(directorydir)" "$(DESTDIR)$(menufiledir)" "$(DESTDIR)$(themedir)"; do \
1090c2af
DB
878 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
879 done
880install: install-recursive
881install-exec: install-exec-recursive
882install-data: install-data-recursive
883uninstall: uninstall-recursive
884
885install-am: all-am
886 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
887
888installcheck: installcheck-recursive
889install-strip:
4390d73f
AG
890 if test -z '$(STRIP)'; then \
891 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
892 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
893 install; \
894 else \
895 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
896 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
897 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
898 fi
1090c2af
DB
899mostlyclean-generic:
900
901clean-generic:
902
903distclean-generic:
904 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
2e45236b 905 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1090c2af
DB
906
907maintainer-clean-generic:
908 @echo "This command is intended for maintainers to use"
909 @echo "it deletes files that may require special tools to rebuild."
910clean: clean-recursive
911
912clean-am: clean-generic mostlyclean-am
913
914distclean: distclean-recursive
915 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
916 -rm -f Makefile
917distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
918
919dvi: dvi-recursive
920
921dvi-am:
922
923html: html-recursive
924
2e45236b
DB
925html-am:
926
1090c2af
DB
927info: info-recursive
928
929info-am:
930
4390d73f 931install-data-am: install-confDATA install-directoryDATA install-man \
2e45236b 932 install-menufileDATA install-themeDATA
1090c2af
DB
933
934install-dvi: install-dvi-recursive
935
2e45236b
DB
936install-dvi-am:
937
1090c2af
DB
938install-exec-am:
939
940install-html: install-html-recursive
941
2e45236b
DB
942install-html-am:
943
1090c2af
DB
944install-info: install-info-recursive
945
2e45236b
DB
946install-info-am:
947
4390d73f 948install-man: install-man1
1090c2af
DB
949
950install-pdf: install-pdf-recursive
951
2e45236b
DB
952install-pdf-am:
953
1090c2af
DB
954install-ps: install-ps-recursive
955
2e45236b
DB
956install-ps-am:
957
1090c2af
DB
958installcheck-am:
959
960maintainer-clean: maintainer-clean-recursive
961 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
962 -rm -rf $(top_srcdir)/autom4te.cache
963 -rm -f Makefile
964maintainer-clean-am: distclean-am maintainer-clean-generic
965
966mostlyclean: mostlyclean-recursive
967
968mostlyclean-am: mostlyclean-generic
969
970pdf: pdf-recursive
971
972pdf-am:
973
974ps: ps-recursive
975
976ps-am:
977
4390d73f 978uninstall-am: uninstall-confDATA uninstall-directoryDATA uninstall-man \
2e45236b 979 uninstall-menufileDATA uninstall-themeDATA
1090c2af 980
4390d73f
AG
981uninstall-man: uninstall-man1
982
983.MAKE: $(am__recursive_targets) all install-am install-strip
984
985.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
986 am--refresh check check-am clean clean-cscope clean-generic \
987 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
988 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
989 distcheck distclean distclean-generic distclean-hdr \
990 distclean-tags distcleancheck distdir distuninstallcheck dvi \
991 dvi-am html html-am info info-am install install-am \
992 install-confDATA install-data install-data-am \
993 install-directoryDATA install-dvi install-dvi-am install-exec \
994 install-exec-am install-html install-html-am install-info \
995 install-info-am install-man install-man1 install-menufileDATA \
996 install-pdf install-pdf-am install-ps install-ps-am \
997 install-strip install-themeDATA installcheck installcheck-am \
998 installdirs installdirs-am maintainer-clean \
1090c2af 999 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
4390d73f
AG
1000 pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1001 uninstall-confDATA uninstall-directoryDATA uninstall-man \
1002 uninstall-man1 uninstall-menufileDATA uninstall-themeDATA
1003
2e45236b 1004
4390d73f 1005@INTLTOOL_DIRECTORY_RULE@
1090c2af
DB
1006
1007# Tell versions [3.59,3.63) of GNU make to not export all variables.
1008# Otherwise a system limit (for SysV at least) may be exceeded.
1009.NOEXPORT: